module People
  class AccountMailer < ActionMailer::Base
    before_action :set_host
    #default from: "from@example.com"

    #Need to send an email saying welcome
    def welcome_email(user)
    	@user = user
      mail(to: @user.email, subject: 'Welcome!')
    end

		#Need to send an email saying confirm email address
    def email_confirmation(user)
    	#Need to send an email with a link to account_controller#email_confirm
    	@user = user
    	@email_hash = @user.email_hashes.new
    	@email_hash.email_type = ::People::EmailHash.email_confirm
    	@email_hash.save
      mail(to: @user.email, subject: 'Confirm your email')
    end

    def you_confirmed_email(user)
      @user = user
      mail(to: @user.email, subject: 'Email confirmed')
    end

    #Need to send an email saying your account is locked
    def unlock_account(user)
    	#Need to send an email with a link to account_controller#new_password
    	@user = user
    	@email_hash = @user.email_hashes.new
    	@email_hash.email_type = ::People::EmailHash.forgotten_password
    	@email_hash.save
      mail(to: @user.email, subject: 'Account locked')
    end

    #Need to send an email saying click to change password
    def forgot_password(user)
    	#Need to send an email with a link to account_controller#new_password
    	@user = user
    	@email_hash = @user.email_hashes.new
    	@email_hash.email_type = ::People::EmailHash.forgotten_password
    	@email_hash.save
      mail(to: @user.email, subject: 'Reset your password')
    end

    def password_reset(user)
      @user = user
      mail(to: @user.email, subject: 'Password reset')
    end

    private

      def set_host
        @host = ""
        if Rails.env.development?
          @host = "http://localhost:3000"
        end
        if Rails.env.test?
          @host = "http://localhost:3000"
        end
        if Rails.env.production?
          @host = "https://www.example.com"
        end
      end

  end
end
