require 'type_cartographer'

module People
  class EmailHash < ActiveRecord::Base

  	before_validation :setup_email_hash

  	belongs_to :user, class_name: "::People::V1::User", foreign_key: "user_id"

  	validates :user_id, presence: true
  	validates :token, presence: true
  	validates :email_type, presence: true

  	def setup_email_hash
      if self.token.nil? || self.token.blank?
  		  self.token = ::Devise.friendly_token
      end
  		return true
  	end

  	def self.email_confirm
  		return 1
  	end

  	def self.forgotten_password
  		return 2
  	end

    def self.expiration_minutes
      return 360
    end

    def self.expired?(email_hash)
      date = email_hash.created_at.utc + ::People::EmailHash.expiration_minutes.minutes
      if ::Time.now.utc > date
        self.destroy
        return true
      else
        return false
      end
    end

  end
end
