require 'authorization'

module People
  class V1::UserSerializer < ActiveModel::Serializer
    embed :ids, include: true

    attributes :id
    attributes :email
    attributes :username
    attributes :password_digest
    attributes :confirmed
    attributes :locked
    attributes :attempts
    attributes :created_at
    attributes :updated_at
    
    has_many :tokens
    

    def include_id?
      return ::Authorization::People::V1::User.include_id?(current_user,object,@options)
    end

    def include_email?
      return ::Authorization::People::V1::User.include_email?(current_user,object,@options)
    end

    def include_username?
      return ::Authorization::People::V1::User.include_username?(current_user,object,@options)
    end

    def include_password_digest?
      return ::Authorization::People::V1::User.include_password_digest?(current_user,object,@options)
    end

    def include_confirmed?
      return ::Authorization::People::V1::User.include_confirmed?(current_user,object,@options)
    end

    def include_locked?
      return ::Authorization::People::V1::User.include_locked?(current_user,object,@options)
    end

    def include_attempts?
      return ::Authorization::People::V1::User.include_attempts?(current_user,object,@options)
    end

    def include_created_at?
      return ::Authorization::People::V1::User.include_created_at?(current_user,object,@options)
    end

    def include_updated_at?
      return ::Authorization::People::V1::User.include_updated_at?(current_user,object,@options)
    end

    def include_associations!
      include! :tokens if ::Authorization::People::V1::User.include_tokens?(current_user,object,@options)
    end

  end
end
