People::Engine.routes.draw do

	root to: "users#index"

	get 'account/email_confirm'
  get 'account/forgotten_password'
  post 'account/posted_email'
  get 'account/new_password'
  post 'account/change_password'

	scope 'api' do
		scope '1' do
			# /api/1/authentication/register
			post 'authentication/register', to: "api/v1/authentication#register"
			# /api/1/authentication/login
			post 'authentication/login', to: "api/v1/authentication#login"
			# /api/1/authentication/logout
			post 'authentication/logout', to: "api/v1/authentication#logout"
			# /api/1/authentication/logout
			post 'authentication/authenticate', to: "api/v1/authentication#authenticate"
			# /api/1/authentication/login_status
			get 'authentication/login_status', to: "api/v1/authentication#login_status"
	  	resources :users, except: [:new, :edit, :create], controller: 'api/v1/users'
	  	# Register handles the creation of users
	  	post 'users', to: 'api/v1/authentication#register'
		end
	end

end
