ActiveAdmin.register People::User do

  menu :label => "Users"
  config.per_page = 30

=begin
  batch_action :flag do |selection|
    People::User.find(selection).each { |p| p.flag! }
    redirect_to collection_path, :notice => "Users flagged!"
  end
=end

  form do |f|
    f.semantic_errors # shows errors on :base
    #f.inputs          # builds an input field for every attribute
    f.inputs do
      f.input :id
      f.input :username
      f.input :email
      f.input :password
      f.input :password_confirmation
      f.input :locked
      f.input :confirmed
      f.input :attempts
      f.input :updated_at
      f.input :created_at
    end
    f.actions         # adds the 'Submit' and 'Cancel' buttons
  end

  controller do
    def create
      @user = ::People::V1::User.new(user_params)
      if @user.save
        flash[:notice] = "Created Successfully!"
        redirect_to resource_path @user
      else
        flash[:notice] = "#{@user.errors.full_messages}"
        redirect_to new_resource_path @user
        #super
        #render :new
      end
    end

    def update
      @user = ::People::V1::User.find(params[:id])
      if @user.update(user_params)
        flash[:notice] = "Updated Successfully!"
        redirect_to resource_path @user
      else
        flash.now[:notice] = "#{@user.errors.full_messages}"
        render :edit
        #super
      end
    end

    def destroy
      @user = ::People::V1::User.find(params[:id])
      @user.destroy
      flash.now[:notice] = "Deleted Successfully!"
      render :index
    end

    private

      def user_params
        params.require(:user).permit(:username,:email,:password,:password_confirmation,:locked,:confirmed,:attempts)
      end
  end

  index do
    selectable_column
    column :id
    column :username
    column :email
    column :password_digest
    column :locked
    column :confirmed
    column :attempts
    column :updated_at
    column :created_at
    actions
  end

  show do
    attributes_table do
      row :id
      row :username
      row :email
      row :password_digest
      row :locked
      row :confirmed
      row :attempts
      row :updated_at
      row :created_at
    end
  end


end
