ActiveAdmin.register People::EmailHash do

  menu :label => "EmailHashes"
  config.per_page = 30

  form do |f|
    f.semantic_errors # shows errors on :base
    #f.inputs          # builds an input field for every attribute
    f.inputs do
      f.input :id
      f.input :token
      f.input :user_id
      f.input :email_type
      f.input :updated_at
      f.input :created_at
    end
    f.actions         # adds the 'Submit' and 'Cancel' buttons
  end

  controller do
    def create
      @email_hash = ::People::EmailHash.new(email_hash_params)
      if @email_hash.save
        flash[:notice] = "Created Successfully!"
        redirect_to resource_path @email_hash
      else
        flash[:notice] = "#{@email_hash.errors.full_messages}"
        redirect_to new_resource_path @email_hash
        #super
        #render :new
      end
    end

    def update
      @email_hash = ::People::EmailHash.find(params[:id])
      if @email_hash.update(email_hash_params)
        flash[:notice] = "Updated Successfully!"
        redirect_to resource_path @email_hash
      else
        flash.now[:notice] = "#{@email_hash.errors.full_messages}"
        render :edit
        #super
      end
    end

    def destroy
      @email_hash = ::People::EmailHash.find(params[:id])
      @email_hash.destroy
      flash.now[:notice] = "Deleted Successfully!"
      render :index
    end

    private

      def email_hash_params
        params.require(:email_hash).permit(:token,:user_id,:email_type)
      end
  end

  index do
    column :id
    column :token
    column :email_type
    column :user_id
    column :updated_at
    column :created_at
    actions
  end

  show do
    attributes_table do
      row :id
      row :token
      row :email_type
      row :user_id
      row :updated_at
      row :created_at
    end
  end


end
