require "rails_helper"

#The routes for when you forget your password, locked out etc
RSpec.describe "Account controller routing", :type => :routing do
	routes { People::Engine.routes }

	it "routes to email_confirm" do
		expect(:get => "/account/email_confirm/").to route_to(
			:controller => "people/account",
			:action => "email_confirm"
		)
	end
	it "routes to forgotten_password" do
		expect(:get => "/account/forgotten_password/").to route_to(
			:controller => "people/account",
			:action => "forgotten_password"
		)
	end
	it "routes to posted_email" do
		expect(:post => "/account/posted_email/").to route_to(
			:controller => "people/account",
			:action => "posted_email"
		)
	end
	it "routes to new_password" do
		expect(:get => "/account/new_password/").to route_to(
			:controller => "people/account",
			:action => "new_password"
		)
	end
	it "routes to change_password" do
		expect(:post => "/account/change_password/").to route_to(
			:controller => "people/account",
			:action => "change_password"
		)
	end
end